#include <iostream.h>
#include <string>
#include <iomanip.h> 

const int N=10;

/* definition d'une structure        */
/* pour contenir les enregistrements */

typedef struct {
  string nom;  /* nom etudiant    */
  int numet;   /* numero etudiant */
  int rang;    /* rang a l'examen */
} entree;

/* un tableau de structures sera notre */
/* base de donnees                     */

typedef entree base[N];

int main()
{
  /* initialisation de la base de donnees:     */
  /* une entree par case du tableau;           */
  /* les cases etant des sructures, une entree */
  /* par champ de la structure                 */

  base b = {{"Toto",1,3},{"Titi",2,4},{"Tata",3,5},
            {"Tutu",4,1},{"Tete",5,2},{"Toto2",6,8},
            {"Titi2",7,9},{"Tata2",8,10},
            {"Tutu2",9,6},{"Tete2",10,7}};
  /* bi sera notre base inversee */
  base bi;
  int i;
 
  /* ecriture de la base avant inversion */
  for (i=0;i<N;i++){
      cout<<b[i].nom+ "\t "<<b[i].numet<<"\t "<<b[i].rang<<endl;
  };
  /* inversion */
  for (i=0;i<N;i++){
      bi[(b[i].rang-1)]=b[i];
  };
  /* ecriture de la base inversee */
  cout<<endl<<"Base inversee."<<endl<<endl;
  for (i=0;i<N;i++){
      cout<<bi[i].nom+ "\t "<<bi[i].numet<<"\t "<<bi[i].rang<<endl;
  };
  return(0);
}
